package com.example.pharmacy.frontEnd;

import android.app.Activity;
import android.os.Bundle;
import android.os.Environment;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

/**
 * Created by pharmacy on 22/01/2018.
 */

public class NotificationClicked extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        recordClick();
    }

    private void recordClick() {
        int ns;
        int nc;
        int na;
        if (isExternalStorageMounted()) {
            File dir = getDirectory();
            if (dir.isDirectory()) {
                File file = new File(dir.getAbsolutePath() + "NLOG");
                if (file.isFile() & file.canRead()) {
                    try {
                        BufferedReader br = new BufferedReader(new FileReader(file));
                        ns = Integer.parseInt(br.readLine());
                        nc = Integer.parseInt(br.readLine());
                        na = Integer.parseInt(br.readLine());
                        if (file.isFile() & file.canWrite()) {
                            BufferedWriter bw = new BufferedWriter(new FileWriter(file));
                            nc++;
                            bw.write(ns);
                            bw.newLine();
                            bw.write(nc);
                            bw.newLine();
                            bw.write(na);
                        }
                    }catch (IOException e) {

                    }

                }
            }
        }
    }
    /* Checks if external storage is available */
    public boolean isExternalStorageMounted() {
        if (Environment.MEDIA_MOUNTED.equals(Environment.getExternalStorageState())) {
            return true;
        }
        return false;
    }

    /* Checks if external storage is available to at least read */
    public boolean isExternalStorageReadable() {
        if (Environment.MEDIA_MOUNTED.equals(Environment.getExternalStorageState()) ||
                Environment.MEDIA_MOUNTED_READ_ONLY.equals(Environment.getExternalStorageState())) {
            return true;
        }
        return false;
    }

    public File getDirectory(){
        File file = new File(this.getExternalFilesDir(
                Environment.DIRECTORY_DOCUMENTS), "NOTLOGS");
        if (!file.mkdirs()) {
            Log.e("ERR", "Directory not created");
        }
        return file;
    }
    }
